View Issue Details

IDProjectCategoryView StatusLast Update
0008600VCOMPONENT-VKERNELSQL Functionspublic2019-08-13 13:58
ReporterIvan SmahinAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version9.5.xFixed in Version9.5.x 
Summary0008600: sec_to_time() may produce NULL for valid arg in some circumstances
DescriptionActually reported by Helge Tjelta:
https://www.valentina-db.com/en/discussions/6306-datediff-results-in-string-or-number,-sec-to-time-won-t-work

select datediff( '08/14/2019 01:30:00', '08/13/2019 20:30:00', 'second')
result: 18000
Now put that into sec_to_time
select sec_to_time (datediff( '08/14/2019 01:30:00', '08/13/2019 20:30:00', 'second'))
result: <NULL>

But it works for
select sec_to_time (18000)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-08-13 08:49 Ivan Smahin New Issue
2019-08-13 08:49 Ivan Smahin Status new => assigned
2019-08-13 08:49 Ivan Smahin Assigned To => Ivan Smahin
2019-08-13 13:58 Ivan Smahin Status assigned => resolved
2019-08-13 13:58 Ivan Smahin Resolution open => fixed
2019-08-13 13:58 Ivan Smahin Fixed in Version => 9.5.x